Package org.pentaho.reporting.libraries.formula.util

# Class HSSFDateUtil

java.lang.Object
org.pentaho.reporting.libraries.formula.util.HSSFDateUtil

public class HSSFDateUtil extends Object
Contains methods for dealing with Excel dates.
Modified by Cedric Pronzato

Author:
  Michael Harhen, Glen Stampoultzis (glens at apache.org), Dan Sherman (dsherman at isisph.com), Hack Kampbjorn (hak at 2mba.dk)

## Method Summary

Modifier and Type
Method
Description
`static int`
`computeZeroDate(String config, boolean excelBugCompatible)`
`static BigDecimal`
`getExcelDate(Date date)`
`static BigDecimal`
`getExcelDate(Date date, boolean excelBugCompatible, int zeroDate)`
`static Date`
`getJavaDate(BigDecimal date)`
Given a excel date, converts it into a Date.
`static Date`
`getJavaDate(BigDecimal date, boolean excelBugCompatible, int zeroDate)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### computeZeroDate

public static int computeZeroDate(String config, boolean excelBugCompatible)

### getExcelDate

public static BigDecimal getExcelDate(Date date)

### getExcelDate

public static BigDecimal getExcelDate(Date date, boolean excelBugCompatible, int zeroDate)

### getJavaDate

public static Date getJavaDate(BigDecimal date)
Given a excel date, converts it into a Date. Assumes 1900 date windowing.

Parameters:
  `date` - the Excel Date
Returns:
  Java representation of a date (null if error)

### getJavaDate

public static Date getJavaDate(BigDecimal date, boolean excelBugCompatible, int zeroDate)